textures/zephyri_01/water
{
        qer_editorimage textures/zephyri_01/100a.tga
        qer_trans .5
        q3map_globaltexture
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water
        tessSize 64
        cull disable
        deformVertexes wave 256 sin 0.5 1.75 .5 .5
        {
            map textures/zephyri_01/100a.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.010 .05
        }
        {
            map textures/zephyri_01/100b.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll .05 -.010
        }
        {
            map textures/zephyri_01/100c.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.05 .010
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbgen identity
        }
}
textures/zephyri_01/icy
{
    qer_trans 0.80
    qer_editorimage textures/zephyri_01/ice.tga

    surfaceparm slick
    surfaceparm trans
    surfaceparm glass
    surfaceparm nodamage
    tessSize 256

    {
        map textures/zephyri_01/ice.tga
        blendfunc blend
    }
    {
        map $lightmap
        blendfunc filter
        rgbGen identity
    }
    {
        map textures/zephyri_01/ice_effect_dark.jpg
        tcgen environment
        blendfunc add
        alphagen const 0.1
    }
}
textures/zephyri_01/volcano_sky
{
	qer_editorimage env/zephyri_01_sky/volcano_ft.tga
	q3map_globaltexture
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sunExt 1 0 0 100 0 140 3 16
	q3map_skylight 140 6
	skyparms env/zephyri_01_sky/volcano - -
}

textures/zephyri_01/lava
{
	qer_editorimage textures/zephyri_01/lava.tga
	q3map_globaltexture
	surfaceparm trans	
	surfaceparm noimpact
	q3map_surfacelight 300
	cull disable	
	tesssize 128
	cull disable
	deformVertexes wave 250 sin 4 8 0.15 0.3 
        {
		map textures/zephyri_01/lava.tga
                tcmod scale 0.5 0.5
                tcmod scroll 0 0
                tcMod turb 0.1 .1 0.01 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
}

textures/zephyri_01/dark_metal
{
	qer_editorimage textures/zephyri_01/dark_metal.tga
	polygonOffset
	surfaceparm slick

        {
		map textures/zephyri_01/dark_metal.tga
                tcmod scroll 0 1
                tcMod turb 0 .25 0 1.6
                tcmod scale 4 4
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
	        map textures/zephyri_01/dark_metal.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/zephyri_01/akuta_chrome
{
	q3map2 floodlight 1 0 0 256 32 1
	q3map_surfacelight 1024
	q3map_lightrgb 1 0 0
	surfaceparm slick
	polygonOffset
	{
		map textures/zephyri_01/akuta_env.tga
		tcGen environment
		tcmod scale .25 .25 
		
	}

	{
		map textures/zephyri_01/akuta_chrome.tga
		blendFunc GL_ONE GL_ONE
		detail
        		tcMod scale 0.0693 0.0712
		rgbGen identity
	}


	{
		map $lightmap
               		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	   
	}			
}

textures/zephyri_01/akuta_black_metal_c
{   
 	surfaceparm slick
        {
                map textures/zephyri_01/akutafx.tga   
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/zephyri_01/akuta_black_metal_c.tga
                		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/zephyri_01/darkstone
{

        {
		map textures/zephyri_01/darkstone.tga
                tcmod scroll 0 1
                tcMod turb 0 .25 0 1.6
                tcmod scale 4 4
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
	        map textures/zephyri_01/darkstone.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/zephyri_01/glass
{
	qer_editorImage textures/zephyri_01/tint.tga
	qer_trans 0.5
	q3map_lightRGB 0.8 1 1
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm slick
	surfaceParm noDamage
	surfaceParm trans
	{
		map $whiteimage
		blendFunc blend
		alphaGen const 0.1
	}
	{
		map textures/zephyri_01/tint.tga
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/zephyri_01/glass2
{
	qer_editorImage textures/zephyri_01/tint2.tga
	qer_trans 0.5
	q3map_lightRGB 0.8 1 1
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm slick
	surfaceParm noDamage
	surfaceParm trans
	{
		map $whiteimage
		blendFunc blend
		alphaGen const 0.1
	}
	{
		map textures/zephyri_01/tint2.tga
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/zephyri_01/glass3
{
	qer_editorImage textures/zephyri_01/tint3.tga
	qer_trans 0.5
	q3map_lightRGB 0.8 1 1
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15

	surfaceParm slick
	surfaceParm noDamage
	surfaceParm trans
	{
		map $whiteimage
		blendFunc blend
		alphaGen const 0.1
	}
	{
		map textures/zephyri_01/tint3.tga
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}
