textures/glass/darkglass
{
	qer_trans .5
	surfaceparm trans
	surfaceparm solid
	cull disable

	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/rrtex1/azzurro
{
	qer_editorimage textures/rrtex1/azzurro.tga

	{
		map textures/effects/tinfx2.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rrtex1/azzurro.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/rrtex1/basecam_1
{
	qer_editorimage textures/rrtex1/basecam_1.tga
	q3map_lightimage textures/rrtex1/basecam_1.tga
	q3map_surfacelight 100

	{
		animMap .15 textures/rrtex1/basecam_1.tga textures/rrtex1/basecam_2.tga textures/rrtex1/basecam_3.tga textures/rrtex1/basecam_4.tga textures/rrtex1/basecam_5.tga textures/rrtex1/basecam_6.tga textures/rrtex1/basecam_7.tga textures/rrtex1/basecam_8.tga textures/rrtex1/basecam_9.tga
		rgbGen wave sawtooth 0 1 0 .15
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .15
		tcmod scroll 5 .25
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 2 2
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}
}

textures/rrtex1/bott_r
{

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rrtex1/bott_r.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/rrtex1/bott_2.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 1
	}
}

textures/rrtex1/goths_skybox
{
	qer_editorimage textures/rrtex1/gothsky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 1 .93 80 315 25
	q3map_surfacelight 90
	skyparms env/goths - -
}

textures/rrtex1/jet_ufo
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided

	{
		map textures/rrtex1/jet_ufo.tga
		tcGen environment
		tcMod turb 0 0.25 0 0.5
		tcmod scroll 1 1
		blendfunc GL_ONE GL_ONE
	}
}


textures/rrtex1/marz2_1
{
	qer_editorimage textures/rrtex1/marz2_1.tga
	q3map_lightimage textures/rrtex1/marz2_1.tga
	q3map_surfacelight 100

	{
		animMap .15 textures/rrtex1/marz2_1.tga textures/rrtex1/marz2_2.tga
		rgbGen wave sawtooth 0 1 0 .15
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .15
		tcmod scroll 5 .25
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 2 2
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}
}

textures/rrtex1/marz3_1
{
	qer_editorimage textures/rrtex1/marz3_1.tga
	q3map_lightimage textures/rrtex1/marz3_1.tga
	q3map_surfacelight 100

	{
		animMap .15 textures/rrtex1/marz3_1.tga textures/rrtex1/marz3_2.tga
		rgbGen wave sawtooth 0 1 0 .15
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .15
		tcmod scroll 5 .25
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 2 2
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}
}

textures/rrtex1/meta3
{
	qer_editorimage textures/rrtex1/meta3.tga

	{
		map textures/effects/tinfx2.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rrtex1/meta3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/rrtex1/nero
{
	qer_editorimage textures/rrtex1/nero.tga

	{
		map textures/effects/tinfx2.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rrtex1/nero.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ghost-custom/cyber_floor02_2
{
	qer_editorimage textures/ghost-custom/cyber_floor02_2.tga

	{
		map textures/effects/tinfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/ghost-custom/cyber_floor02_2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/rrtex1/nero_2
{
	qer_editorimage textures/rrtex1/nero_2.tga

	{
		map textures/effects/tinfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rrtex1/nero_2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/rrtex1/padwall_blu
{
	q3map_surfacelight 100
	q3map_lightimage textures/rrtex1/padwallglow_blu.tga
	qer_editorimage textures/rrtex1/padwall_blu.tga

	{
		map textures/rrtex1/padwall_blu.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/rrtex1/padwallglow_blu.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0 1 0 .5
		tcmod scale 1 .05
		tcmod scroll 0 1
	}
}

textures/rrtex1/padwall_verd
{
	q3map_surfacelight 100
	q3map_lightimage textures/rrtex1/padwallglow_verd.tga
	qer_editorimage textures/rrtex1/padwall_verd.tga

	{
		map textures/rrtex1/padwall_verd.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/rrtex1/padwallglow_verd.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0 1 0 .5
		tcmod scale 1 .05
		tcmod scroll 0 1
	}
}

textures/rrtex1/porta
{
	qer_editorimage textures/rrtex1/porta.tga

	{
		map textures/effects/tinfx2.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rrtex1/porta.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/rrtex1/porta1
{
	qer_editorimage textures/rrtex1/porta1.tga

	{
		map textures/effects/tinfx2.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rrtex1/porta1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/rrtex1/rosso
{
	qer_editorimage textures/rrtex1/rosso.tga

	{
		map textures/effects/tinfx2.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rrtex1/rosso.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/rrtex1/ufo
{
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rrtex1/ufo.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/rrtex1/ufo1.tga
		rgbGen wave sin 0.5 0.5 1 1
		blendfunc GL_ONE GL_ONE
	}
}

textures/rrtex1/ufo4
{
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rrtex1/ufo4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/rrtex1/ufo5.tga
		rgbGen wave sin 0.5 0.5 1 1
		blendfunc GL_ONE GL_ONE
	}
}

textures/rrtex1/marz4_1
{
	qer_editorimage textures/rrtex1/marz4_1.tga
	q3map_lightimage textures/rrtex1/marz4_1.tga
	q3map_surfacelight 100

	{
		animMap .15 textures/rrtex1/marz4_1.tga textures/rrtex1/marz4_2.tga textures/rrtex1/marz4_3.tga

		rgbGen wave sawtooth 0 1 0 .15
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .15
		tcmod scroll 5 .25
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 2 2
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}
}

textures/rrtex1/marz4_4
{
	qer_editorimage textures/rrtex1/marz4_4.tga
	q3map_lightimage textures/rrtex1/marz4_4.tga
	q3map_surfacelight 100

	{
		animMap .15 textures/rrtex1/marz4_4.tga textures/rrtex1/marz3_3.tga textures/rrtex1/marz1_2.tga textures/rrtex1/marz2_2.tga 
		rgbGen wave sawtooth 0 1 0 .15
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .15
		tcmod scroll 5 .25
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 2 2
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}
}

textures/rrtex1/stm
{

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rrtex1/stm.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/rrtex1/stm_1_1.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 1
	}
}

textures/rrtex1/stm_2
{

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rrtex1/stm_2.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/rrtex1/stm_2_2.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 1
	}
}

textures/rrtex1/azz_1
{

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rrtex1/azz_1.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/rrtex1/azz_2.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 1
	}
}

textures/rrtex1/alert_1
{

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rrtex1/alert_1.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/rrtex1/alert_2.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 1
	}
}

textures/rrtex1/aster                                                                                           {
            qer_editorimage textures/rrtex1/aster.tga                                                                      
            surfaceparm nonsolid
            surfaceparm trans
            cull none
            deformVertexes wave 30 sin 0 10 0 .2
            nopicmip
            
            {
            map textures/rrtex1/aster.tga
            tcMod scale 2 2
            blendFunc GL_ONE GL_ZERO
            alphaFunc GE128
            depthWrite
            rgbGen identity
            tcmod scroll 0 .25

            }
            {
            map $lightmap
            rgbGen identity
            blendFunc GL_DST_COLOR GL_ZERO
            depthFunc equal
            }
          
  }

textures/rrtex1/muro_b4
{
	
	
	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/rrtex1/muro_b4.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{	
        	map textures/rrtex1/muro_b3.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 0.2	
	}

	}

textures/rrtex1/muro_b1
{
	
	
	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/rrtex1/muro_b1.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{	
        	map textures/rrtex1/muro_b2.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 0.2	
	}

	}


